
<h3>grid fragment</h3>
<div th:fragment="grid(gridWidth, gridHeight, row, column)">
    <span>Grid size:</span>
    <span th:text="${gridWidth}"></span>
    <span th:text="${gridHeight}"></span>
    <div th:if="${row != null && column != null}">
        <span>Column :</span>
        <span th:text="${column}"></span>
        <span>Row :</span>
        <span th:text="${row}"></span>
    </div>
    <div
        class="grid-container"
        th:style="|--grid-width: ${gridWidth}; --grid-height: ${gridHeight};|">
        <th:block th:each="i: ${#numbers.sequence(0, gridHeight - 1)}">
            <th:block th:each="j: ${#numbers.sequence(0, gridWidth - 1)}">
                <div
                    id="${i * gridWidth + j}"
                    class="square"
                    th:classappend="${(i == row) && (j == column) ? 'highlighted' : ''}"
                ></div>
            </th:block>
        </th:block>
    </div>
</div>